libzypp 17.38.15

CheckAccessDeleted.h File Reference
`#include <iosfwd>`
`#include <vector>`
`#include <string>`
`#include <zypp-core/Globals.h>`
`#include <zypp-core/Pathname.h>`
`#include <zypp-core/base/PtrTypes.h>`

Go to the source code of this file.

## Classes
class | zypp::CheckAccessDeleted
| Check for running processes which access deleted executables or libraries. More...
struct | zypp::CheckAccessDeleted::ProcInfo
| Data about one running process accessing deleted files. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Functions
std::ostream & | zypp::operator<< (std::ostream &str, const CheckAccessDeleted &obj)
| relates: CheckAccessDeleted Stream output
std::ostream & | zypp::operator<< (std::ostream &str, const CheckAccessDeleted::ProcInfo &obj)
| relates: CheckAccessDeleted::ProcInfo Stream output